Bug 123575 - (USB) broken cdcether.ko freezes machine on ifup
(USB) broken cdcether.ko freezes machine on ifup
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Depends On:
  Show dependency treegraph
Reported: 2004-05-19 09:32 EDT by Rui Miguel Seabra
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 02:00:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rui Miguel Seabra 2004-05-19 09:32:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I have a cable modem and one ethernet card.
Since I need to distribute network for my home I have been using
cdcether for network through the cable modem's USB interface. It's
been running okay from Red Hat 9 through FC1.

Now cdcether.ko loads, but as I try lifting up the interface:

ifup eth1

the machine freezes completely: caps and num lock, for instance, don't
even lit on the keyboard.

I tried this with another computer that has a different usb controller
and the result is the same, so that is why I think that cdcether is

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
plugging usb interface loads cdcether module
ifup eth1

Actual Results:  crash

Expected Results:  eth1 with a DHCP provided address and machine
working fine :)

Additional info:

Please tell me what more should I give you, the dmesg until just
before ifup? I will add it later on.
Comment 1 Alan Cox 2004-05-21 19:41:07 EDT
If you do this with a text mode console do you get an oops trace ?
Comment 2 Rui Miguel Seabra 2004-05-21 20:00:15 EDT
Hi. No. Total freeze.

Only on boot did I get a trace... It took me some time to find out
what it was since the trace dragged up all normal Init lines upper
than what I could see.
Comment 3 Harald Hoyer 2004-06-15 09:47:05 EDT
could you try usbnet instead of cdcether?
Comment 4 Pete Zaitcev 2004-08-19 20:01:43 EDT
Needinfoing - yes, users should try usbnet first.
Comment 5 Dave Jones 2005-04-16 02:00:35 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.